Page MenuHomePhabricator

Test MySQL 8.0 with production data and evaluate its fit for WMF databases
Open, Stalled, NormalPublic

Description

Testing 8.0 package- it will be likely quite immature at this point, but we need to identify blockers as soon as possible.

Event Timeline

jcrespo created this task.Apr 27 2018, 9:33 AM
jcrespo triaged this task as Low priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2018, 9:33 AM
jcrespo raised the priority of this task from Low to Normal.Apr 27 2018, 9:33 AM

Change 429388 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Convert db1118 into an s1 test hosts with MySQL 8.0

https://gerrit.wikimedia.org/r/429388

Marostegui moved this task from Triage to In progress on the DBA board.Apr 27 2018, 9:42 AM

Change 429388 merged by Jcrespo:
[operations/puppet@production] mariadb: Convert db1118 into an s1 test hosts with MySQL 8.0

https://gerrit.wikimedia.org/r/429388

Change 429401 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Use mysql-specific template for non-mariadb test host

https://gerrit.wikimedia.org/r/429401

Change 429401 merged by Jcrespo:
[operations/puppet@production] mariadb: Use mysql-specific template for non-mariadb test host

https://gerrit.wikimedia.org/r/429401

Change 429408 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mysql: Add auth_socket support to MySQL, equivalent to unix_socket on mariadb

https://gerrit.wikimedia.org/r/429408

Change 429408 merged by Jcrespo:
[operations/puppet@production] mysql: Add auth_socket support to MySQL, equivalent to unix_socket on mariadb

https://gerrit.wikimedia.org/r/429408

Change 429411 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Cleaup plugin load configuration

https://gerrit.wikimedia.org/r/429411

Change 429411 merged by Jcrespo:
[operations/puppet@production] mariadb: Cleaup plugin load configuration

https://gerrit.wikimedia.org/r/429411

Change 429425 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] prometheus-mysqld-exporter: Add s1-test (db1118) to prometheus

https://gerrit.wikimedia.org/r/429425

Change 429425 merged by Jcrespo:
[operations/puppet@production] prometheus-mysqld-exporter: Add s1-test (db1118) to prometheus

https://gerrit.wikimedia.org/r/429425

pymysql version 0.8 or later is required as with the default collation, a newly added one, an exception is rised on connection. It may require a backport from buster: https://packages.debian.org/buster/python3-pymysql

Change 429811 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/software@master] mysql80: Add first stable mysql package

https://gerrit.wikimedia.org/r/429811

Change 429811 merged by Jcrespo:
[operations/software@master] mysql80: Add first stable mysql package

https://gerrit.wikimedia.org/r/429811

@jcrespo ack, no blocker for me, I'm actually not using it.

Vvjjkkii renamed this task from Test MySQL 8.0 with production data and evaluate its fit for WMF databases to x3daaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii removed jcrespo as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
AntiCompositeNumber renamed this task from x3daaaaaaa to Test MySQL 8.0 with production data and evaluate its fit for WMF databases.Jul 1 2018, 4:04 AM
AntiCompositeNumber lowered the priority of this task from High to Normal.
AntiCompositeNumber assigned this task to jcrespo.
AntiCompositeNumber updated the task description. (Show Details)
jcrespo changed the task status from Open to Stalled.Jul 13 2018, 8:39 AM

This is stalled until we implement a way to mix different GTID implementation on the same section: e.g. T172497#4309959

jcrespo removed jcrespo as the assignee of this task.Sep 18 2018, 11:03 AM
jcrespo moved this task from In progress to Blocked external/Not db team on the DBA board.